checkmate::DualDfpn::Shared Struct Reference

## Public Types

typedef std::forward_list< PathEncoding > | disproof_list_t
typedef std::unordered_map< HashKey, disproof_list_t, std::hash< HashKey > > | disproof_table_t

## Public Member Functions

| Shared ()
| ~Shared ()
void | showStats ()
void | addMainNodeCount (int add)
void | addSimulationNodeCount (int add)

## Public Attributes

CArray< DfpnTable, 2 > | table
CArray< OraclePool, 2 > | pool
size_t | main_node_count
size_t | simulation_count
volatile size_t | last_gc
volatile size_t | gc_threshold
CArray< stat::Average, max_oracle_list_size > | proof_by_oracle
CArray< bool, 2 > | blocking_verify
volatile int | shared_table_user
volatile int | shared_table_gc_wait
disproof_table_t | disproof_table

## Detailed Description

Definition at line 143 of file dualDfpn.cc.

## Member Typedef Documentation

## disproof_list_t

typedef std::forward_list<PathEncoding> checkmate::DualDfpn::Shared::disproof_list_t

Definition at line 161 of file dualDfpn.cc.

## disproof_table_t

typedef std::unordered_map<HashKey, disproof_list_t, std::hash<HashKey> > checkmate::DualDfpn::Shared::disproof_table_t

Definition at line 162 of file dualDfpn.cc.

## Constructor & Destructor Documentation

## Shared()

checkmate::DualDfpn::Shared::Shared | ( |  | ) |

inline

Definition at line 165 of file dualDfpn.cc.

References blocking_verify, gc_threshold, last_gc, main_node_count, pool, shared_table_gc_wait, shared_table_user, simulation_count, and table.

## ~Shared()

checkmate::DualDfpn::Shared::~Shared | ( |  | ) |

inline

Definition at line 174 of file dualDfpn.cc.

References showStats().

## Member Function Documentation

## addMainNodeCount()

void checkmate::DualDfpn::Shared::addMainNodeCount | ( | int | add | ) |

inline

Definition at line 193 of file dualDfpn.cc.

References main_node_count.

## addSimulationNodeCount()

void checkmate::DualDfpn::Shared::addSimulationNodeCount | ( | int | add | ) |

inline

Definition at line 200 of file dualDfpn.cc.

References simulation_count.

## showStats()

void checkmate::DualDfpn::Shared::showStats | ( |  | ) |

inline

Definition at line 178 of file dualDfpn.cc.

References main_node_count, pool, proof_by_oracle, simulation_count, and table.

Referenced by ~Shared().

## Member Data Documentation

## blocking_verify

CArray<bool,2> checkmate::DualDfpn::Shared::blocking_verify

Definition at line 151 of file dualDfpn.cc.

Referenced by Shared().

## disproof_table

disproof_table_t checkmate::DualDfpn::Shared::disproof_table

Definition at line 163 of file dualDfpn.cc.

## gc_threshold

volatile size_t checkmate::DualDfpn::Shared::gc_threshold

Definition at line 149 of file dualDfpn.cc.

Referenced by Shared().

## last_gc

volatile size_t checkmate::DualDfpn::Shared::last_gc

Definition at line 149 of file dualDfpn.cc.

Referenced by Shared().

## main_node_count

size_t checkmate::DualDfpn::Shared::main_node_count

Definition at line 147 of file dualDfpn.cc.

Referenced by addMainNodeCount(), Shared(), and showStats().

## pool

CArray<OraclePool,2> checkmate::DualDfpn::Shared::pool

Definition at line 146 of file dualDfpn.cc.

Referenced by Shared(), and showStats().

## proof_by_oracle

CArray<stat::Average,max_oracle_list_size> checkmate::DualDfpn::Shared::proof_by_oracle

Definition at line 150 of file dualDfpn.cc.

Referenced by showStats().

## shared_table_gc_wait

volatile int checkmate::DualDfpn::Shared::shared_table_gc_wait

Definition at line 157 of file dualDfpn.cc.

Referenced by Shared().

## shared_table_user

volatile int checkmate::DualDfpn::Shared::shared_table_user

Definition at line 157 of file dualDfpn.cc.

Referenced by Shared().

## simulation_count

size_t checkmate::DualDfpn::Shared::simulation_count

Definition at line 148 of file dualDfpn.cc.

Referenced by addSimulationNodeCount(), Shared(), and showStats().

## table

CArray<DfpnTable,2> checkmate::DualDfpn::Shared::table

Definition at line 145 of file dualDfpn.cc.

Referenced by Shared(), and showStats().

The documentation for this struct was generated from the following file:

- dualDfpn.cc